<?xml version="1.0" encoding="utf-8" ?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
  targetNamespace="urn:yahoo:srchmm"
  xmlns="urn:yahoo:srchmm"
  elementFormDefault="qualified">

	<xs:element name="ResultSet">
		<xs:complexType>
			<xs:sequence>
				<xs:element name="Result" type="ResultType" minOccurs="0" maxOccurs="50" />
			</xs:sequence>
			<xs:attribute name="totalResultsAvailable" type="xs:integer" />
			<xs:attribute name="totalResultsReturned" type="xs:integer" />
			<xs:attribute name="firstResultPosition" type="xs:integer" />
		</xs:complexType>
	</xs:element>

	<xs:complexType name="ResultType">
		<xs:sequence>
			<xs:element name="Source" type="xs:string" />
			<xs:element name="Url" type="xs:string" />
			<xs:element name="Format" type="xs:string" />
			<xs:element name="Price" type="xs:float" minOccurs="0" />
			<xs:element name="Length" type="xs:integer" minOccurs="0" />
			<xs:element name="Channels" type="xs:string" minOccurs="0" />
			<xs:element name="Restrictions" type="xs:string" minOccurs="0" />
			<xs:element name="Quality" type="xs:integer" minOccurs="0" />
		</xs:sequence>
	</xs:complexType>
	
</xs:schema>
